FEM ConstraintSelfWeight

From FreeCAD Documentation
Jump to navigation Jump to search
This page contains changes which are not marked for translation.
Other languages:
English • ‎français • ‎italiano • ‎română • ‎русский

FEM ConstraintSelfWeight.png FEM ConstraintSelfWeight

Menu location
Model → Mechanical Constraints → Constraint self weight
Workbenches
FEM
Default shortcut
C W
Introduced in version
-
See also
FEM tutorial


Description

Constraint self weight defines gravity acceleration 9,81 m/s^2 acting on the whole model in the prescribed direction.

Usage

  1. To invoke command either:
    • Press on the FEM ConstraintSelfWeight.png button
    • Choose ModelMechanical ConstraintsFEM ConstraintSelfWeight.png Constraint self weight from the top menu
    • Use the keyboard shortcut: C then W keys.
  2. You can modify the direction of gravitation by changing its vector coordinates in the property bar of newly created ConstraintSelfWeight object.

Scripting

New object

import ObjectsFem
ObjectsFem.makeConstraintSelfWeight( name )

Add object to the analysis named Analysis

App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [ (object) ]

Example:

import ObjectsFem
selfweight_obj = ObjectsFem.makeConstraintSelfWeight( 'MySelfWeightObject' )
App.ActiveDocument.Analysis.Member = App.ActiveDocument.Analysis.Member + [selfweight_obj]

Solver CalculiX

Limitations

  • You need to modify .inp file to edit gravity acceleration.
  • Self weight is applied to the element set Eall means to the whole model.

Editing CalculiX input file

Acceleration constant can be edited by hand modification after generating CalculiX input file.

Example of lines in .inp file:

*DLOAD
Eall,GRAV,9810,0.0,0.0,-1.0

where 9810 is gravity acceleration magnitude in [mm/s^2], and 0,0,-1 is direction vector.

Solver Z88

  • not implemented in Z88 solver (March 2017)